    <!DOCTYPE html>
    <html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Spring Boot ajax example</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="stylesheet" type="text/css"
              href="webjars/bootstrap/3.3.7/css/bootstrap.min.css"/>
    </head>
    <script type="text/javascript"
            src="webjars/jquery/2.2.4/jquery.min.js"></script>

    <script type="text/javascript" src="js/fetchnprocess.js"></script>
    <script type="text/javascript">
        function validateFields()
        {
            var src = document.forms["flSearchForm"]["src"].value;
            var dest = document.forms["flSearchForm"]["dest"].value;
            var jrnDate = document.forms["flSearchForm"]["departDate"].value;
            var jrnCls = document.forms["flSearchForm"]["jrnClass"].value;
            if(src == "")
            {
                alert("Please provide source");
                return false;
            }
            if(dest == "")
            {
                alert("Please provide destination");
                return false;
            }
            var nop = document.forms["flSearchForm"]["nop"].value;
            if(isNaN(nop))
            {
                alert("Please enter a valid number for passenger");
                return false;
            }
            var jrnDate = document.forms["flSearchForm"]["departDate"].value;
            var today = new Date();
            var eDate = new Date(jrnDate);
            if(eDate < today)
            {
                alert("Please enter a date that is not in the past.");
                return false;
            }
            if(jrnCls == "")
            {
                alert("Please select travel class");
                return false;
            }
            return true;
        }
        function updateSearchValues()
        {
            var src = document.forms["flSearchForm"]["src"].value;
            var dest = document.forms["flSearchForm"]["dest"].value;
            var nop = document.forms["flSearchForm"]["nop"].value;
            var jrnDate = document.forms["flSearchForm"]["departDate"].value;
            var jrnCls = document.forms["flSearchForm"]["jrnClass"].value;
            if(nop == "")
                nop = 1;
            if(jrnDate == "")
                jrnDate = new Date();
            searchFlight(src, dest, nop, jrnDate, jrnCls);
        }
    </script>
    <body>
    Search Flight
    <form class="form-inline" id="flSearchForm">
        <table class="table">
            <tr>
                    <td>
                    <div class="form-group">
                        <label for="src">Source:</label>
                        <input type="text" class="form-control" id="src" required placeholder="Source">
                    </div>
                    </td>
                    <td>
                    <div class="form-group">
                        <label for="dest">Destination:</label>
                        <input type="text" class="form-control" id="dest" required placeholder="Destination">
                    </div>
                    </td>
                    <td>
                    <div class="form-group">
                        <label for="nop">Passengers #:</label>
                        <input type="text" class="form-control" id="nop" required placeholder="no of passenger">
                    </div>
                </td>
                <td><button id="srchBtn" type="button" class="btn btn-primary" onclick="validateFields();updateSearchValues();">Find Flights</button></td>
            </tr>
            <tr>
                <td>
                    <div class="form-group">
                        <label for="departDate">Departure Date:</label>
                        <input type="date" class="form-control" id="departDate">
                    </div>
                </td>

                <td>
                    <div class="form-group">
                        <label for="jrnClass">Travel class:</label>
                        <select class="form-control" id="jrnClass" required>
                            <option value="FC">First Class</option>
                            <option value="BC">Business Class</option>
                            <option value="EC">Economy</option>
                        </select>
                    </div>
                </td>

            </tr>
        </table>
    </form>
    Flights from: <br>
    <table  class="table table-bordered">
        <tr>
            <td>Source:</td><td id="srcV"></td>
             <td>Destination:<td id="destV"> </td>
            <td>No of Pax:</td><td id="nopx"></td>
            <td>Travel Date:</td><td id="jrdate"></td>
        </tr>
    </table>
    <table id="resultsTab" class="table table-bordered">
        <tr>
            <th>Flight ID</th>
            <th>Flight Name</th>
            <th>Travel Class</th>
            <th>Total Fare</th>
        </tr>
    </table>
    </body>
    </html>